Subject: Re: linux-next: build failure

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Wed, 30 Jul 2008 21:16:55 +0200

On Wednesday 30 July 2008, Ankita Garg wrote:
> On Wed, Jul 30, 2008 at 09:41:46AM +0300, Adrian Bunk wrote:
> > On Wed, Jul 30, 2008 at 03:30:28PM +1000, Stephen Rothwell wrote:
> > > Hi Ananth,
> > > 
> > > Today's linux-next build (powerpc allyesconfig) failed like this:
> > > 
> > > tests/lkdtm.c:182: error: expected ')' before '*' token
> > > 
> > > I have no idea why this fails now when it did not before.
> > 
> > Sorry, that's my fault.
> > (I didn't notice since my allyes builds have CONFIG_MODULES=n, and
> >  no defconfig seems to have both LKDTM and IDE=y.)
> > 
> > Bart, can you either apply Stephen's patch or drop the lkdtm.c chunk 
> > from my patch?
> >
> 
> I suppose it would be better if the earlier changes are reverted, as
> lkdtm already has bits to include ide.h depending on CONFIG_IDE being
> y/n.

I reverted lktdm.c change (sorry for not noticing it earlier).

Thanks,
Bart